function [alpha,beta,q,Yq]=getQGauss(X,Y);
%n=length(Y);
%X=-n/2:1:(n/2)-1;
alpha=max(Y);
beta1=1;
q1=1.001;

beta2=findMinBeta(X,Y,alpha,beta1,q1);
q2=findMinQ(X,Y,alpha,beta2,q1);

while (abs(q1-q2)>0.001)
    q1=q2;
    beta2=findMinBeta(X,Y,alpha,beta2,q1);
    q2=findMinQ(X,Y,alpha,beta2,q1);
 end

q=q2;
beta=beta2;


Yq=qGaussian(X,q,beta,alpha);
